Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Simple_Declarator_List Class Reference

****************************************************************. More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Simple_Declarator_List:

[legend]
Collaboration diagram for TAO_PSDL_Simple_Declarator_List:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Simple_Declarator_List (TAO_PSDL_Node *simple_declarator)
| ****************************************************************. More...
| TAO_PSDL_Simple_Declarator_List (TAO_PSDL_Node *simple_declarator_list, TAO_PSDL_Node *simple_declarator)
virtual | ~TAO_PSDL_Simple_Declarator_List (void)
TAO_PSDL_Node * | simple_declarator_list (void) const
| Get the value. More...
TAO_PSDL_Node * | simple_declarator (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods. More...
## Private Attributes
TAO_PSDL_Node * | simple_declarator_list_
| The values. More...
TAO_PSDL_Node * | simple_declarator_

## Detailed Description

****************************************************************.

## Constructor & Destructor Documentation

TAO_PSDL_Simple_Declarator_List::TAO_PSDL_Simple_Declarator_List | ( | TAO_PSDL_Node * | simple_declarator | ) |

| ****************************************************************.

TAO_PSDL_Simple_Declarator_List::TAO_PSDL_Simple_Declarator_List | ( | TAO_PSDL_Node * | simple_declarator_list,
|  | TAO_PSDL_Node * | simple_declarator
| ) |

TAO_PSDL_Simple_Declarator_List::~TAO_PSDL_Simple_Declarator_List | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Simple_Declarator_List::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Reimplemented from TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Simple_Declarator_List::simple_declarator | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Simple_Declarator_List::simple_declarator_list | ( | void |  | ) | const

| Get the value.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Simple_Declarator_List::simple_declarator_`[private]`

TAO_PSDL_Node* TAO_PSDL_Simple_Declarator_List::simple_declarator_list_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp